package com.qmth.paper.library.business.bean.params;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 用户登录
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/4/23
 */
public class LoginParam extends ClientLoginParam {

    @ApiModelProperty(value = "验证码")
    private String code;

    @ApiModelProperty(value = "学校代码")
    @NotBlank(message = "学校代码不能为空")
    private String schoolCode;

    @ApiModelProperty(value = "用户手机号（优先给用户填的手机号发短信）")
    private String mobileNumber;

    @Override
    public String getSchoolCode() {
        return schoolCode;
    }

    @Override
    public void setSchoolCode(String schoolCode) {
        this.schoolCode = schoolCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }
}
